/** @file  pmFlatField.c
 *
 *  @brief Contains the definitions for ...
 *
 *  @author Robert DeSonia, MHPCC
 *
 *  @version $Revision: 1.1.1.1 $ $Name: not supported by cvs2svn $
 *  @date $Date: 2004-09-10 19:01:33 $
 *
 *  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
 */

#if HAVE_CONFIG_H
#include <config.h>
#endif

#include<stdio.h>

#include "pmFlatField.h"

void pmFlatField(psVector* vector) 
{
    if (vector == NULL) {
        printf("Nothing to see here... move along.\n");
        return;
    }
    
    for (int lcv=0;lcv<vector->n;lcv++) {
        printf("%f\n",vector->data.F32[lcv]);
    }
    
    return;
    
}